Package com.tibco.patterns.grouping

## Enum SkipReason

- java.lang.Object
- - java.lang.Enum<SkipReason>
  - - com.tibco.patterns.grouping.SkipReason

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SkipReason>`

      public enum SkipReason
      extends java.lang.Enum<SkipReason>

  Lists the reasons a pair might be skipped.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GroupMaxSize` | Pair skipped because the group was already at the maximum size.
    `ScoreBelowAddThreshhold` | Pair skipped because it linked an ungrouped record to an existing group, but the pair score was below the add_threshold.
    `ScoreBelowMergeThreshold` | Pair skipped because it linked two existing groups, but the pair score was below the merge_threshold.
    `ScoreBelowNewGroupThreshold` | Pair skipped because it would have started a new group, but the pair score was below the new_group_threshold.
    `TooManyLinks` | Pair skipped because one of the records had too many links.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SkipReason` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SkipReason[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TooManyLinks

          public static final SkipReason TooManyLinks

      Pair skipped because one of the records had too many links.

    - #### GroupMaxSize

          public static final SkipReason GroupMaxSize

      Pair skipped because the group was already at the maximum size.

    - #### ScoreBelowNewGroupThreshold

          public static final SkipReason ScoreBelowNewGroupThreshold

      Pair skipped because it would have started a new group, but the pair score was below the new_group_threshold.

    - #### ScoreBelowMergeThreshold

          public static final SkipReason ScoreBelowMergeThreshold

      Pair skipped because it linked two existing groups, but the pair score was below the merge_threshold.

    - #### ScoreBelowAddThreshhold

          public static final SkipReason ScoreBelowAddThreshhold

      Pair skipped because it linked an ungrouped record to an existing group, but the pair score was below the add_threshold.

  - ### Method Detail

    - #### values

          public static SkipReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SkipReason c : SkipReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SkipReason valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null